<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"

    tools:showIn="@layout/app_bar_main">


    <LinearLayout
        android:id="@+id/layoutdate"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/drawable_edtbg"
        android:visibility="gone"
        android:layout_margin="@dimen/dimen_10dp"

        android:orientation="horizontal">

        <TextView
            android:id="@+id/txtdatemessage"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dimen_50dp"



            android:layout_weight="0.2"
            android:textSize="@dimen/dimen_15sp"
            android:paddingLeft="@dimen/dimen_10dp"
            android:textStyle="bold"
            android:textColor="@android:color/black"
            android:gravity="center"
            android:text="Click here to upload file" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.8">
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/imgclose"
                android:layout_width="@dimen/dimen_50dp"
                android:layout_height="@dimen/dimen_50dp"
                app:srcCompat="@drawable/ic_close"
                android:padding="@dimen/dimen_10dp">


            </androidx.appcompat.widget.AppCompatImageView>


        </LinearLayout>

    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycler_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            />

        <TextView
            android:id="@+id/txtnodata"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:visibility="gone"
            android:text="No data found"
            android:textSize="@dimen/dimen_15sp"
            android:textStyle="bold"/>

    </FrameLayout>





</androidx.appcompat.widget.LinearLayoutCompat>